#!/usr/bin/env node
import { GraphQLSchema } from "graphql";
export interface Config {
    directory: string;
    includes: string[];
    quiet: boolean;
    allowUnusedFragments: boolean;
    embedImports: boolean;
    schemaPathOrURL: string;
    schema: GraphQLSchema | undefined;
    token: string | undefined;
}
export declare function graphqlTypescriptCodegen(config: Config): Promise<void>;
